curl https://production.methodfi.com/secrets \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const secrets = await method.secrets.list();
secrets = method.secrets.list()
{
"data": [
{
"id": "sec_au22b1fbFrmfp",
"metadata": {},
"created_at": "2025-12-04T18:50:54.024Z",
"updated_at": "2025-12-04T18:50:54.024Z",
"status": "active"
}
]
}
Secrets
List all Secrets
GET
/
secrets
curl https://production.methodfi.com/secrets \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const secrets = await method.secrets.list();
secrets = method.secrets.list()
{
"data": [
{
"id": "sec_au22b1fbFrmfp",
"metadata": {},
"created_at": "2025-12-04T18:50:54.024Z",
"updated_at": "2025-12-04T18:50:54.024Z",
"status": "active"
}
]
}
Returns all Secrets associated with your team, or an empty array if none have been created.
Query Parameters
Returns
Returns a list of Secret objects. Thevalue field is redacted in the response.
curl https://production.methodfi.com/secrets \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const secrets = await method.secrets.list();
secrets = method.secrets.list()
{
"data": [
{
"id": "sec_au22b1fbFrmfp",
"metadata": {},
"created_at": "2025-12-04T18:50:54.024Z",
"updated_at": "2025-12-04T18:50:54.024Z",
"status": "active"
}
]
}